<%- include('partials/header.ejs') %>

<!-- content start -->
<div class="main">
    <div class="d-flex head">
        <h2 class="heading">Change Password :-</h2>
    </div>
    <div class="content">
        <form id="form"">
            <div class=" row">
            <div class="col-12 col-lg-12">
                <label>New Password : -</label>
                <input type="password" class="form-control" id="newpassword" name="newpassword"
                    placeholder="Enter New Password">
                <button type="submit" class="btn btn-info mt-3 pull-right">Save</button>
            </div>
    </div>
</div>
</form>
</div>
<div>

    <%- include('partials/footer.ejs') %>
    <script src="/ckeditor/ckeditor.js"></script>
    <script src="/ck.js"></script>
    <script>
        activeSideBar('changepassword');

        const form = $('form');

        form.on('submit', submitHandler)

        function submitHandler(e) {
            e.preventDefault()

            // PREPARE FORM DATA
            var formData = {
                newpassword: form.serializeArray()[0].value
            };

            // DO POST
            $.ajax({
                type: "POST",
                contentType: "application/json",
                url: "changepassword",
                data: JSON.stringify(formData)
            }).done(res => {
                if (res == 'success') {
                    // alert('Password updated successfully');
                    window.location.reload();
                } else {
                    alert(res);
                }
            });
        }
    </script>